<?php

namespace SupabloxPro;

function enqueue_block_editor_assets() {
	wp_enqueue_script( 'supablox-pro/block-editor' );
	wp_enqueue_script( 'supablox-pro/block-supports' );
	wp_enqueue_script( 'supablox-pro/blocks' );
	wp_enqueue_style( 'supablox-pro/block-editor' );
	wp_enqueue_style( 'supablox-pro/block-supports' );

	$style_engine = Packages\Style_Engine\style_engine();
	$data = [
		'styleEngineOptions' => $style_engine->get_client_options(),
		'wordpressVersion' => get_bloginfo( 'version' ),
	];
	$script = sprintf( 'var supabloxProBlockEditorData = %s;', wp_json_encode( $data ) );

	wp_add_inline_script( 'supablox-pro/block-editor', $script, 'before' );
}
add_action( 'enqueue_block_editor_assets', __NAMESPACE__ . '\enqueue_block_editor_assets', 11 );

function enqueue_block_assets() {
	if ( is_admin() ) {
		wp_enqueue_style( 'supablox-pro/block-editor' );
		wp_enqueue_style( 'supablox-pro/block-supports' );
	}
	wp_enqueue_style( 'supablox-pro/public' );
}
add_action( 'enqueue_block_assets', __NAMESPACE__ . '\enqueue_block_assets' );
