<?php

namespace SupabloxPro\Block_Supports;

\WP_Block_Supports::get_instance()->register(
 'supabloxProAppearance',
	[
		'register_attribute' => __NAMESPACE__ . '\register_appearance_support',
	]
);

function register_appearance_support( \WP_Block_Type $block_type ) {
	if ( ! block_has_support( $block_type, 'supabloxProAppearance', false ) ) {
		return;
	}

	$attributes = [
		'opacity' => [
			'type' => 'number',
			'default' => 1,
			'property' => '--sb-opacity',
			'class_name' => 'has-opacity',
			'output' => false,
		],
		'blendMode' => [
			'type' => 'string',
			'default' => 'normal',
			'property' => 'mix-blend-mode',
			'output' => false,
		],
		'backdropBlur' => [
			'type' => 'string',
			'default' => 'normal',
			'property' => '--sb-backdrop-blur',
			'class_name' => 'has-backdrop-filter',
			'output' => false,
		],
		'overflow' => [
			'type' => 'string',
			'default' => 'visible',
			'property' => 'overflow',
			'output' => false,
		],
		'zIndex' => [
			'type' => 'number',
			'default' => 1,
			'property' => 'z-index',
			'output' => false,
		],
	];

	style_engine()->register( $block_type, $attributes );
}
