<?php

namespace SupabloxPro\Block_Supports;

\WP_Block_Supports::get_instance()->register(
	'supabloxProFilters',
	[
		'register_attribute' => __NAMESPACE__ . '\register_filters_support',
	]
);

function register_filters_support( \WP_Block_Type $block_type ) {
	if ( ! block_has_support( $block_type, 'supabloxProFilters', false ) ) {
		return;
	}

	$class_name = 'has-filter';
	$attributes = [
		'blur' => [
			'type' => 'string',
			'default' => '0px',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-blur',
			'class_name' => $class_name,
		],
		'brightness' => [
			'type' => 'string',
			'default' => '100%',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-brightness',
			'class_name' => $class_name,
		],
		'contrast' => [
			'type' => 'string',
			'default' => '100%',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-contrast',
			'class_name' => $class_name,
		],
		'grayscale' => [
			'type' => 'string',
			'default' => '0%',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-grayscale',
			'class_name' => $class_name,
		],
		'hueRotate' => [
			'type' => 'string',
			'default' => '0deg',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-hue-rotate',
			'class_name' => $class_name,
		],
		'invert' => [
			'type' => 'string',
			'default' => '0%',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-invert',
			'class_name' => $class_name,
		],
		'saturate' => [
			'type' => 'string',
			'default' => '100%',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-saturate',
			'class_name' => $class_name,
		],
		'sepia' => [
			'type' => 'string',
			'default' => '0%',
			'output' => false,
			'responsive' => false,
			'property' => '--sb-sepia',
			'class_name' => $class_name,
		],
	];

	style_engine()->register( $block_type, $attributes );
}
