<?php

namespace SupabloxPro\Block_Supports;

function style_engine() {
	return \SupabloxPro\Packages\Style_Engine\Style_Engine::get_instance();
}

/**
 * @see wp_should_skip_block_supports_serialization()
 */
function should_skip_block_supports_serialization( \WP_Block_Type $block_type, string $feature_set, $feature = null ) {
	if ( ! is_object( $block_type ) || ! $feature_set ) {
		return false;
	}

	$skip_serialization = is_array( $block_type->supports[ $feature_set ] )
		? (
			$block_type->supports[ $feature_set ]['__experimentalSkipSerialization'] ??
			$block_type->supports[ $feature_set ]['skipSerialization'] ??
			false
		)
		: false;

	if ( is_array( $skip_serialization ) ) {
		return in_array( $feature, $skip_serialization, true );
	}

	return $skip_serialization;
}
