<?php

namespace SupabloxPro\Block_Supports;

\WP_Block_Supports::get_instance()->register(
	'supabloxProLayout',
	[
		'register_attribute' => __NAMESPACE__ . '\register_layout_support',
	]
);

function register_layout_support( \WP_Block_Type $block_type ) {
	if ( ! block_has_support( $block_type, 'supabloxProLayout', false ) ) {
		return;
	}

	$support = $block_type->supports[ 'supabloxProLayout' ];
	$attributes = [
		'order' => [
			'type' => 'string',
			'property' => 'order',
			'output' => false,
		],
	];

	if ( is_array( $support ) ) {
		foreach ( $support as $attr_name => $attr_config ) {
			if ( isset( $attributes[ $attr_name ] ) && $attr_config === false ) {
				unset( $attributes[ $attr_name ] );
			}
		}
	}

	style_engine()->register( $block_type, $attributes );
}
