<?php

namespace SupabloxPro\Block_Supports;

\WP_Block_Supports::get_instance()->register(
	'supabloxProTransforms',
	[
		'register_attribute' => __NAMESPACE__ . '\register_transforms_support',
	]
);

function register_transforms_support( \WP_Block_Type $block_type ) {
	if ( ! block_has_support( $block_type, 'supabloxProTransforms', false ) ) {
		return;
	}

	$class_name = 'has-transform';
	$attributes = [
		'translateX' => [
			'type' => 'string',
			'default' => '0px',
			'output' => false,
			'property' => '--sb-x',
			'class_name' => $class_name,
		],
		'translateY' => [
			'type' => 'string',
			'default' => '0px',
			'output' => false,
			'property' => '--sb-y',
			'class_name' => $class_name,
		],
		'scale' => [
			'type' => 'number',
			'default' => 1,
			'output' => false,
			'property' => '--sb-scale',
			'class_name' => $class_name,
		],
		'rotate' => [
			'type' => 'string',
			'default' => '0deg',
			'output' => false,
			'property' => '--sb-rotate',
			'class_name' => $class_name,
		],
		'rotateX' => [
			'type' => 'string',
			'default' => '0deg',
			'output' => false,
			'property' => '--sb-rotate-x',
			'class_name' => $class_name,
		],
		'rotateY' => [
			'type' => 'string',
			'default' => '0deg',
			'output' => false,
			'property' => '--sb-rotate-y',
			'class_name' => $class_name,
		],
		'perspective' => [
			'type' => 'number',
			'default' => '1000px',
			'output' => false,
			'property' => '--sb-perspective',
			'class_name' => $class_name,
		],
	];

	style_engine()->register( $block_type, $attributes );
}
