<?php

namespace SupabloxPro;

if ( class_exists( 'SupabloxPro\Packages\Admin\Features' ) ) {
	Packages\Admin\Features::get_instance()->register(
		'responsive_core_typography',
		[
			'status' => 'experimental',
			'title' => __( 'Enhanced typography', 'supablox-pro' ),
			'description' => __( 'Enable responsive typography controls for core blocks.', 'supablox-pro' ),
			'requires_at_least' => '6.6',
			'requires_php' => '8.2',
		]
	);
	Packages\Admin\Features::get_instance()->register(
		'responsive_core_spacing',
		[
			'status' => 'experimental',
			'title' => __( 'Enhanced spacing', 'supablox-pro' ),
			'description' => __( 'Enable responsive spacing controls for core blocks.', 'supablox-pro' ),
			'requires_at_least' => '6.6',
			'requires_php' => '8.2',
		]
	);
}

function is_feature_enabled( string $id ) {
	if ( class_exists( 'SupabloxPro\Packages\Admin\Features' ) ) {
		return Packages\Admin\Features::get_instance()->is_enabled( $id );
	}
	return false;
}
