<?php

namespace SupabloxPro;

function require_package( string $path, callable $callback = null ) {
	static $paths = [];

	if ( file_exists( $path ) ) {
		require_once $path;

		if ( $callback ) {
			$callback();
		}

		return;
	}

	$paths[] = $path;

	add_action(
		'admin_head',
		function () use ( &$paths ) {
			if ( ! empty( $paths ) ) {
				$message = '<strong>Required Supablox Pro packages not found:</strong>';
				$message .= '<ul>';
				foreach ( $paths as $error ) {
					$message .= '<li>- ' . esc_html( $error ) . '</li>';
				}
				$message .= '</ul>';
				wp_admin_notice( $message, [ 'type' => 'error' ] );
				$paths = [];
			}
		}
	);
}


function is_development() {
	return defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG && file_exists( __DIR__ . '/../build/runtime.js' );
}
