<?php

/**
 * Plugin Name: Supablox Pro
 * Plugin URI: https://supablox.com
 * Update URI: https://api.supablox.com/v1/plugin/supablox-pro
 * Description: A collection of blocks that helps you build beautiful websites.
 * Version: 1.0.0-alpha.1
 * Requires PHP: 8.2
 * Requires at least: 6.6
 * Tested up to: 6.6
 * Author: Supablox
 * Author URI: https://supablox.com
 * Text Domain: supablox-pro
 * Domain Path: /languages/
 */

namespace SupabloxPro;

defined( 'ABSPATH' ) || exit;

define( 'SupabloxPro\VERSION', '1.0.0-alpha.1' );
define( 'SupabloxPro\DIR', __DIR__ );
define( 'SupabloxPro\FILE', __FILE__ );
define( 'SupabloxPro\URL', plugin_dir_url( __FILE__ ) );

require_once __DIR__ . '/includes/functions.php';

require_package( __DIR__ . '/includes/packages/admin/index.php' );
require_package( __DIR__ . '/includes/packages/compose/index.php' );
require_package( __DIR__ . '/includes/packages/controls/index.php' );
require_package(
	__DIR__ . '/includes/packages/style-engine/index.php',
	function () {
		Packages\Style_Engine\style_engine(
			[
				'id' => 'supablox-pro',
				'block_support_prefix' => 'supabloxPro',
				'block_attribute_name' => 'supablox',
				'css_class_name_prefix' => 'sb-',
				'css_property_prefix' => '--sb-',
				'style_dependencies' => [ 'supablox-pro/public' ],
			]
		);
	}
);

require_once __DIR__ . '/includes/activation.php';
require_once __DIR__ . '/includes/admin.php';
require_once __DIR__ . '/includes/assets.php';
require_once __DIR__ . '/includes/block-editor.php';
require_once __DIR__ . '/includes/block-styles.php';
require_once __DIR__ . '/includes/blocks.php';
require_once __DIR__ . '/includes/deactivation.php';
require_once __DIR__ . '/includes/features.php';

require_once __DIR__ . '/includes/block-supports/index.php';
require_once __DIR__ . '/includes/integrations/supablox.php';
